For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
This page is for Self-Hosted, version v3.0 (default).
For other versions, use one of these documentation indexes:
- v3.0 (default): https://docs.nvidia.com/run-ai/self-hosted/v3.0/llms.txt
- v2.26: https://docs.nvidia.com/run-ai/self-hosted/v2.26/llms.txt
- v2.25: https://docs.nvidia.com/run-ai/self-hosted/v2.25/llms.txt
- v2.24: https://docs.nvidia.com/run-ai/self-hosted/v2.24/llms.txt
Partial updates to specific items in the list. Should be used for update one or more attributes of an item without modifying the entire resource.
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
departmentIdstringRequiredformat: ".*"
The id of the department.
Request
Department resources to update.
nodePoolobject or nullOptional
The node pool to which this resource configuration applies.
gpuobjectOptional
Defines the GPU quota assignment, maximum GPU device allocation, and weight assigned that determines the fairshare of over-quota resources.
cpuobject or nullOptional
memoryobject or nullOptional
rankstring or nullOptionalDefaults to MediumLow
The scheduling rank of this org-unit within the node pool. Determines the scheduling order of workloads between org-units. Workloads in higher-ranked org-units are scheduled before workloads in lower-ranked org-units. For example, all workloads in rank “High” will be scheduled before all workloads in rank “Medium”.
Response
Updated
gpuobject
nodePoolobject or nullOptional
The node pool to which this resource configuration applies.
cpuobject or nullOptional
memoryobject or nullOptional
rankstring or nullOptionalDefaults to MediumLow
The scheduling rank of this org-unit within the node pool. Determines the scheduling order of workloads between org-units. Workloads in higher-ranked org-units are scheduled before workloads in lower-ranked org-units. For example, all workloads in rank “High” will be scheduled before all workloads in rank “Medium”.